Package twisted :: Package internet :: Module app

[show private | hide private]
[frames | no frames]

## Module twisted.internet.app

Main `application' configuration and persistence support.

API Stability: stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`ApplicationService` | I am a service you can add to an application.
`MultiService` | I am a collection of multiple services.
`Application` | I am the `root object' in a Twisted process.
`DependentMultiService` | I am a MultiService that starts services in insert order, and stops them in the reverse order.
`PortCollection` |
`ServiceCollection` |
`_AbstractServiceCollection` |

Function Summary
| `encrypt(passphrase, data)`

Variable Summary
`int` | `False`
`Platform` | `platform`
`tuple` | `StringTypes`
`int` | `True`

Variable Details

### False

  Type:
    `int`
  Value:

        0

### platform

  Type:
    `Platform`
  Value:

        <twisted.python.runtime.Platform instance at 0x820ae84>

### StringTypes

  Type:
    `tuple`
  Value:

        (<type 'str'>, <type 'unicode'>)

### True

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Thu May 8 13:18:24 2003 | http://epydoc.sf.net